Up

# NSColorPicker

### Authors

Scott Christley (`scottc@net-community.com`)
Jonathan Gapen (`jagapen@whitewater.chem.wisc.edu`)

> Abstract superclass for NSColorPanel color pickers

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSColorPicker class

## NSColorPicker : NSObject

> Declared in:
>   AppKit/NSColorPicker.h

> Conforms to:
>   NSColorPickingDefault

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -alphaControlAddedOrRemoved:
- -attachColorList:
- -colorPanel
- -detachColorList:
- -initWithPickerMask:colorPanel:
- -insertNewButtonImage:in:
- -provideNewButtonImage
- -setMode:
- -viewSizeChanged:

### alphaControlAddedOrRemoved:

- (void) alphaControlAddedOrRemoved: (id)sender;
Availability: OpenStep
Description forthcoming.

### attachColorList:

- (void) attachColorList: (NSColorList*)colorList;
Availability: OpenStep
Description forthcoming.

### colorPanel

- (NSColorPanel*) colorPanel;
Availability: OpenStep
Description forthcoming.

### detachColorList:

- (void) detachColorList: (NSColorList*)colorList;
Availability: OpenStep
Description forthcoming.

### initWithPickerMask: colorPanel:

- (id) initWithPickerMask: (int)aMask colorPanel: (NSColorPanel*)colorPanel;
Availability: OpenStep
Description forthcoming.

### insertNewButtonImage: in:

- (void) insertNewButtonImage: (NSImage*)newImage in: (NSButtonCell*)newButtonCell;
Availability: OpenStep
Description forthcoming.

### provideNewButtonImage

- (NSImage*) provideNewButtonImage;
Availability: OpenStep
Description forthcoming.

### setMode:

- (void) setMode: (int)mode;
Availability: OpenStep
Description forthcoming.

### viewSizeChanged:

- (void) viewSizeChanged: (id)sender;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSColorPicker Class

### _colorPanel

@protected id _colorPanel;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up